/firecrawl | Type: Application | PCID required: Yes
Tools
| Tool | Description |
|---|---|
firecrawl_cancel_batch_scrape | Cancel a batch scrape job |
firecrawl_cancel_crawl | Cancel a crawl job |
firecrawl_crawl_urls | Crawl multiple URLs based on options |
firecrawl_extract_data | Extract structured data from pages using LLMs |
firecrawl_generate_llms_txt | Generate LLMs.txt for a website |
firecrawl_get_active_crawls | Get all active crawls for the authenticated team |
firecrawl_get_batch_scrape_errors | Get the errors of a batch scrape job |
firecrawl_get_batch_scrape_status | Get the status of a batch scrape job |
firecrawl_get_crawl_errors | Get the errors of a crawl job |
firecrawl_get_crawl_status | Get the status of a crawl job |
firecrawl_get_credit_usage | Get remaining credits for the authenticated team |
firecrawl_get_deep_research_status | Get the status and results of a deep research operation |
firecrawl_get_extract_status | Get the status of an extract job |
firecrawl_get_llms_txt_status | Get the status and results of an LLMs.txt generation job |
firecrawl_get_token_usage | Get remaining tokens for the authenticated team (Extract only) |
firecrawl_map_urls | Map multiple URLs based on options |
firecrawl_scrape_and_extract_from_url | Scrape a single URL and optionally extract information using an LLM |
firecrawl_scrape_and_extract_from_urls | Scrape multiple URLs and optionally extract information using an LLM |
firecrawl_search_and_scrape | Search and optionally scrape search results |
firecrawl_start_deep_research | Start a deep research operation on a query |
firecrawl_submit_endpoint_feedback | Submit feedback for a v2 job |
firecrawl_submit_search_feedback | Submit feedback for a search job |
firecrawl_cancel_batch_scrape
Cancel a batch scrape job Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | The ID of the batch scrape job |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "The ID of the batch scrape job"
}
},
"required": [
"PCID",
"id"
]
}
firecrawl_cancel_crawl
Cancel a crawl job Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | The ID of the crawl job |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "The ID of the crawl job"
}
},
"required": [
"PCID",
"id"
]
}
firecrawl_crawl_urls
Crawl multiple URLs based on options Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
allowBackwardLinks | boolean | No | — | Allows the crawler to follow internal links to sibling or parent URLs, not just child paths. false: Only crawls deeper (child) URLs. → e.g. /features/feature-1 → /features/feature-1/tips ✅ → Won’t follow /pricing or / ❌ true: Crawls any internal links, including siblings and parents. → e.g. /features/feature-1 → /pricing, /, etc. ✅ Use true for broader internal coverage beyond nested paths. |
allowExternalLinks | boolean | No | — | Allows the crawler to follow links to external websites. |
delay | number | No | — | Delay in seconds between scrapes. This helps respect website rate limits. |
excludePaths | string[] | No | — | URL pathname regex patterns that exclude matching URLs from the crawl. For example, if you set “excludePaths”: [“blog/.*”] for the base URL firecrawl.dev, any results matching that pattern will be excluded, such as https://www.firecrawl.dev/blog/firecrawl-launch-week-1-recap. |
ignoreQueryParameters | boolean | No | — | Do not re-scrape the same path with different (or none) query parameters |
ignoreSitemap | boolean | No | — | Ignore the website sitemap when crawling |
includePaths | string[] | No | — | URL pathname regex patterns that include matching URLs in the crawl. Only the paths that match the specified patterns will be included in the response. For example, if you set “includePaths”: [“blog/.*”] for the base URL firecrawl.dev, only results matching that pattern will be included, such as https://www.firecrawl.dev/blog/firecrawl-launch-week-1-recap. |
limit | integer | No | — | Maximum number of pages to crawl. Default limit is 10000. |
maxDepth | integer | No | — | Maximum depth to crawl relative to the base URL. Basically, the max number of slashes the pathname of a scraped URL may contain. |
maxDiscoveryDepth | integer | No | — | Maximum depth to crawl based on discovery order. The root site and sitemapped pages has a discovery depth of 0. For example, if you set it to 1, and you set ignoreSitemap, you will only crawl the entered URL and all URLs that are linked on that page. |
scrapeOptions | object | No | — | Scrape Options |
url | string | Yes | — | The base URL to start crawling from |
webhook | object | No | — | A webhook specification object. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"allowBackwardLinks": {
"type": "boolean",
"description": "Allows the crawler to follow internal links to sibling or parent URLs, not just child paths. false: Only crawls deeper (child) URLs. → e.g. /features/feature-1 → /features/feature-1/tips ✅ → Won't follow /pricing or / ❌ true: Crawls any internal links, including siblings and parents. → e.g. /features/feature-1 → /pricing, /, etc. ✅ Use true for broader internal coverage beyond nested paths."
},
"allowExternalLinks": {
"type": "boolean",
"description": "Allows the crawler to follow links to external websites."
},
"delay": {
"type": "number",
"description": "Delay in seconds between scrapes. This helps respect website rate limits."
},
"excludePaths": {
"type": "array",
"items": {
"type": "string"
},
"description": "URL pathname regex patterns that exclude matching URLs from the crawl. For example, if you set \"excludePaths\": [\"blog/.*\"] for the base URL firecrawl.dev, any results matching that pattern will be excluded, such as https://www.firecrawl.dev/blog/firecrawl-launch-week-1-recap."
},
"ignoreQueryParameters": {
"type": "boolean",
"description": "Do not re-scrape the same path with different (or none) query parameters"
},
"ignoreSitemap": {
"type": "boolean",
"description": "Ignore the website sitemap when crawling"
},
"includePaths": {
"type": "array",
"items": {
"type": "string"
},
"description": "URL pathname regex patterns that include matching URLs in the crawl. Only the paths that match the specified patterns will be included in the response. For example, if you set \"includePaths\": [\"blog/.*\"] for the base URL firecrawl.dev, only results matching that pattern will be included, such as https://www.firecrawl.dev/blog/firecrawl-launch-week-1-recap."
},
"limit": {
"type": "integer",
"description": "Maximum number of pages to crawl. Default limit is 10000."
},
"maxDepth": {
"type": "integer",
"description": "Maximum depth to crawl relative to the base URL. Basically, the max number of slashes the pathname of a scraped URL may contain."
},
"maxDiscoveryDepth": {
"type": "integer",
"description": "Maximum depth to crawl based on discovery order. The root site and sitemapped pages has a discovery depth of 0. For example, if you set it to 1, and you set ignoreSitemap, you will only crawl the entered URL and all URLs that are linked on that page."
},
"scrapeOptions": {
"type": "object",
"description": "Scrape Options",
"properties": {
"formats": {
"type": "array",
"items": {
"type": "string",
"enum": [
"markdown",
"html",
"rawHtml",
"links",
"screenshot",
"screenshot@fullPage",
"json",
"changeTracking",
"branding"
]
},
"description": "Formats to include in the output."
},
"onlyMainContent": {
"type": "boolean",
"description": "Only return the main content of the page excluding headers, navs, footers, etc."
},
"includeTags": {
"type": "array",
"items": {
"type": "string"
},
"description": "Tags to include in the output."
},
"excludeTags": {
"type": "array",
"items": {
"type": "string"
},
"description": "Tags to exclude from the output."
},
"maxAge": {
"type": "integer",
"description": "Returns a cached version of the page if it is younger than this age in milliseconds. If a cached version of the page is older than this value, the page will be scraped. If you do not need extremely fresh data, enabling this can speed up your scrapes by 500%. Defaults to 0, which disables caching."
},
"headers": {
"type": "object",
"description": "Headers to send with the request. Can be used to send cookies, user-agent, etc."
},
"waitFor": {
"type": "integer",
"description": "Specify a delay in milliseconds before fetching the content, allowing the page sufficient time to load."
},
"mobile": {
"type": "boolean",
"description": "Set to true if you want to emulate scraping from a mobile device. Useful for testing responsive pages and taking mobile screenshots."
},
"skipTlsVerification": {
"type": "boolean",
"description": "Skip TLS certificate verification when making requests"
},
"timeout": {
"type": "integer",
"description": "Timeout in milliseconds for the request"
},
"parsePDF": {
"type": "boolean",
"description": "Controls how PDF files are processed during scraping. When true, the PDF content is extracted and converted to markdown format, with billing based on the number of pages (1 credit per page). When false, the PDF file is returned in base64 encoding with a flat rate of 1 credit total."
},
"jsonOptions": {
"type": "object",
"description": "JSON options object"
},
"actions": {
"type": "array",
"description": "Actions to perform on the page before grabbing the content"
},
"location": {
"type": "object",
"description": "Location settings for the request. When specified, this will use an appropriate proxy if available and emulate the corresponding language and timezone settings. Defaults to 'US' if not specified."
},
"removeBase64Images": {
"type": "boolean",
"description": "Removes all base 64 images from the output, which may be overwhelmingly long. The image's alt text remains in the output, but the URL is replaced with a placeholder."
},
"blockAds": {
"type": "boolean",
"description": "Enables ad-blocking and cookie popup blocking."
},
"proxy": {
"type": "string",
"description": "Specifies the type of proxy to use. - **basic**: Proxies for scraping sites with none to basic anti-bot solutions. Fast and usually works. - **enhanced**: Enhanced proxies for scraping sites with advanced anti-bot solutions. Slower, but more reliable on certain sites. Costs up to 5 credits per request. - **auto**: Firecrawl will automatically retry scraping with enhanced proxies if the basic proxy fails. If the retry with enhanced is successful, 5 credits will be billed for the scrape. If the first attempt with basic is successful, only the regular cost will be billed. If you do not specify a proxy, Firecrawl will default to basic.",
"enum": [
"basic",
"enhanced",
"auto"
]
},
"changeTrackingOptions": {
"type": "object",
"description": "Options for change tracking (Beta). Only applicable when 'changeTracking' is included in formats. The 'markdown' format must also be specified when using change tracking."
},
"storeInCache": {
"type": "boolean",
"description": "If true, the page will be stored in the Firecrawl index and cache. Setting this to false is useful if your scraping activity may have data protection concerns. Using some parameters associated with sensitive scraping (actions, headers) will force this parameter to be false."
}
}
},
"url": {
"type": "string",
"description": "The base URL to start crawling from"
},
"webhook": {
"type": "object",
"description": "A webhook specification object.",
"properties": {
"url": {
"type": "string",
"description": "The URL to send the webhook to. This will trigger for crawl started (crawl.started), every page crawled (crawl.page) and when the crawl is completed (crawl.completed or crawl.failed). The response will be the same as the `/scrape` endpoint."
},
"headers": {
"type": "object",
"description": "Headers to send to the webhook URL."
},
"metadata": {
"type": "object",
"description": "Custom metadata that will be included in all webhook payloads for this crawl"
},
"events": {
"type": "array",
"items": {
"type": "string",
"enum": [
"completed",
"page",
"failed",
"started"
]
},
"description": "Type of events that should be sent to the webhook URL. (default: all)"
}
},
"required": [
"url"
]
}
},
"required": [
"PCID",
"url"
]
}
firecrawl_extract_data
Extract structured data from pages using LLMs Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
enableWebSearch | boolean | No | — | When true, the extraction will use web search to find additional data |
ignoreInvalidURLs | boolean | No | — | If invalid URLs are specified in the urls array, they will be ignored. Instead of them failing the entire request, an extract using the remaining valid URLs will be performed, and the invalid URLs will be returned in the invalidURLs field of the response. |
ignoreSitemap | boolean | No | — | When true, sitemap.xml files will be ignored during website scanning |
includeSubdomains | boolean | No | — | When true, subdomains of the provided URLs will also be scanned |
prompt | string | No | — | Prompt to guide the extraction process |
schema | object | No | — | Schema to define the structure of the extracted data. Must conform to JSON Schema. |
scrapeOptions | object | No | — | Scrape Options |
showSources | boolean | No | — | When true, the sources used to extract the data will be included in the response as sources key |
urls | string[] | Yes | — | The urls value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"enableWebSearch": {
"type": "boolean",
"description": "When true, the extraction will use web search to find additional data"
},
"ignoreInvalidURLs": {
"type": "boolean",
"description": "If invalid URLs are specified in the urls array, they will be ignored. Instead of them failing the entire request, an extract using the remaining valid URLs will be performed, and the invalid URLs will be returned in the invalidURLs field of the response."
},
"ignoreSitemap": {
"type": "boolean",
"description": "When true, sitemap.xml files will be ignored during website scanning"
},
"includeSubdomains": {
"type": "boolean",
"description": "When true, subdomains of the provided URLs will also be scanned"
},
"prompt": {
"type": "string",
"description": "Prompt to guide the extraction process"
},
"schema": {
"type": "object",
"description": "Schema to define the structure of the extracted data. Must conform to [JSON Schema](https://json-schema.org/)."
},
"scrapeOptions": {
"type": "object",
"description": "Scrape Options",
"properties": {
"formats": {
"type": "array",
"items": {
"type": "string",
"enum": [
"markdown",
"html",
"rawHtml",
"links",
"screenshot",
"screenshot@fullPage",
"json",
"changeTracking",
"branding"
]
},
"description": "Formats to include in the output."
},
"onlyMainContent": {
"type": "boolean",
"description": "Only return the main content of the page excluding headers, navs, footers, etc."
},
"includeTags": {
"type": "array",
"items": {
"type": "string"
},
"description": "Tags to include in the output."
},
"excludeTags": {
"type": "array",
"items": {
"type": "string"
},
"description": "Tags to exclude from the output."
},
"maxAge": {
"type": "integer",
"description": "Returns a cached version of the page if it is younger than this age in milliseconds. If a cached version of the page is older than this value, the page will be scraped. If you do not need extremely fresh data, enabling this can speed up your scrapes by 500%. Defaults to 0, which disables caching."
},
"headers": {
"type": "object",
"description": "Headers to send with the request. Can be used to send cookies, user-agent, etc."
},
"waitFor": {
"type": "integer",
"description": "Specify a delay in milliseconds before fetching the content, allowing the page sufficient time to load."
},
"mobile": {
"type": "boolean",
"description": "Set to true if you want to emulate scraping from a mobile device. Useful for testing responsive pages and taking mobile screenshots."
},
"skipTlsVerification": {
"type": "boolean",
"description": "Skip TLS certificate verification when making requests"
},
"timeout": {
"type": "integer",
"description": "Timeout in milliseconds for the request"
},
"parsePDF": {
"type": "boolean",
"description": "Controls how PDF files are processed during scraping. When true, the PDF content is extracted and converted to markdown format, with billing based on the number of pages (1 credit per page). When false, the PDF file is returned in base64 encoding with a flat rate of 1 credit total."
},
"jsonOptions": {
"type": "object",
"description": "JSON options object"
},
"actions": {
"type": "array",
"description": "Actions to perform on the page before grabbing the content"
},
"location": {
"type": "object",
"description": "Location settings for the request. When specified, this will use an appropriate proxy if available and emulate the corresponding language and timezone settings. Defaults to 'US' if not specified."
},
"removeBase64Images": {
"type": "boolean",
"description": "Removes all base 64 images from the output, which may be overwhelmingly long. The image's alt text remains in the output, but the URL is replaced with a placeholder."
},
"blockAds": {
"type": "boolean",
"description": "Enables ad-blocking and cookie popup blocking."
},
"proxy": {
"type": "string",
"description": "Specifies the type of proxy to use. - **basic**: Proxies for scraping sites with none to basic anti-bot solutions. Fast and usually works. - **enhanced**: Enhanced proxies for scraping sites with advanced anti-bot solutions. Slower, but more reliable on certain sites. Costs up to 5 credits per request. - **auto**: Firecrawl will automatically retry scraping with enhanced proxies if the basic proxy fails. If the retry with enhanced is successful, 5 credits will be billed for the scrape. If the first attempt with basic is successful, only the regular cost will be billed. If you do not specify a proxy, Firecrawl will default to basic.",
"enum": [
"basic",
"enhanced",
"auto"
]
},
"changeTrackingOptions": {
"type": "object",
"description": "Options for change tracking (Beta). Only applicable when 'changeTracking' is included in formats. The 'markdown' format must also be specified when using change tracking."
},
"storeInCache": {
"type": "boolean",
"description": "If true, the page will be stored in the Firecrawl index and cache. Setting this to false is useful if your scraping activity may have data protection concerns. Using some parameters associated with sensitive scraping (actions, headers) will force this parameter to be false."
}
}
},
"showSources": {
"type": "boolean",
"description": "When true, the sources used to extract the data will be included in the response as `sources` key"
},
"urls": {
"type": "array",
"items": {
"type": "string",
"format": "uri"
},
"description": "The urls value"
}
},
"required": [
"PCID",
"urls"
]
}
firecrawl_generate_llms_txt
Generate LLMs.txt for a website Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
maxUrls | integer | No | — | Maximum number of URLs to analyze |
showFullText | boolean | No | — | Include full text content in the response |
url | string | Yes | — | The URL to generate LLMs.txt from |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"maxUrls": {
"type": "integer",
"description": "Maximum number of URLs to analyze"
},
"showFullText": {
"type": "boolean",
"description": "Include full text content in the response"
},
"url": {
"type": "string",
"description": "The URL to generate LLMs.txt from"
}
},
"required": [
"PCID",
"url"
]
}
firecrawl_get_active_crawls
Get all active crawls for the authenticated teamShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
firecrawl_get_batch_scrape_errors
Get the errors of a batch scrape job Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | The ID of the batch scrape job |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "The ID of the batch scrape job"
}
},
"required": [
"PCID",
"id"
]
}
firecrawl_get_batch_scrape_status
Get the status of a batch scrape job Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | The ID of the batch scrape job |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "The ID of the batch scrape job"
}
},
"required": [
"PCID",
"id"
]
}
firecrawl_get_crawl_errors
Get the errors of a crawl job Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | The ID of the crawl job |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "The ID of the crawl job"
}
},
"required": [
"PCID",
"id"
]
}
firecrawl_get_crawl_status
Get the status of a crawl job Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | The ID of the crawl job |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "The ID of the crawl job"
}
},
"required": [
"PCID",
"id"
]
}
firecrawl_get_credit_usage
Get remaining credits for the authenticated teamShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
firecrawl_get_deep_research_status
Get the status and results of a deep research operation Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | The ID of the research job |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "The ID of the research job"
}
},
"required": [
"PCID",
"id"
]
}
firecrawl_get_extract_status
Get the status of an extract job Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | The ID of the extract job |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "The ID of the extract job"
}
},
"required": [
"PCID",
"id"
]
}
firecrawl_get_llms_txt_status
Get the status and results of an LLMs.txt generation job Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | The ID of the LLMs.txt generation job |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "The ID of the LLMs.txt generation job"
}
},
"required": [
"PCID",
"id"
]
}
firecrawl_get_token_usage
Get remaining tokens for the authenticated team (Extract only)Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
firecrawl_map_urls
Map multiple URLs based on options Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
ignoreSitemap | boolean | No | — | Ignore the website sitemap when crawling. |
includeSubdomains | boolean | No | — | Include subdomains of the website |
limit | integer | No | — | Maximum number of links to return |
search | string | No | — | Search query to use for mapping. During the Alpha phase, the ‘smart’ part of the search functionality is limited to 1000 search results. However, if map finds more results, there is no limit applied. |
sitemapOnly | boolean | No | — | Only return links found in the website sitemap |
timeout | integer | No | — | Timeout in milliseconds. There is no timeout by default. |
url | string | Yes | — | The base URL to start crawling from |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"ignoreSitemap": {
"type": "boolean",
"description": "Ignore the website sitemap when crawling."
},
"includeSubdomains": {
"type": "boolean",
"description": "Include subdomains of the website"
},
"limit": {
"type": "integer",
"description": "Maximum number of links to return"
},
"search": {
"type": "string",
"description": "Search query to use for mapping. During the Alpha phase, the 'smart' part of the search functionality is limited to 1000 search results. However, if map finds more results, there is no limit applied."
},
"sitemapOnly": {
"type": "boolean",
"description": "Only return links found in the website sitemap"
},
"timeout": {
"type": "integer",
"description": "Timeout in milliseconds. There is no timeout by default."
},
"url": {
"type": "string",
"description": "The base URL to start crawling from"
}
},
"required": [
"PCID",
"url"
]
}
firecrawl_scrape_and_extract_from_url
Scrape a single URL and optionally extract information using an LLM Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
actions | any[] | No | — | Actions to perform on the page before grabbing the content |
blockAds | boolean | No | — | Enables ad-blocking and cookie popup blocking. |
changeTrackingOptions | object | No | — | Options for change tracking (Beta). Only applicable when ‘changeTracking’ is included in formats. The ‘markdown’ format must also be specified when using change tracking. |
excludeTags | string[] | No | — | Tags to exclude from the output. |
formats | string[] | No | — | Formats to include in the output. |
headers | object | No | — | Headers to send with the request. Can be used to send cookies, user-agent, etc. |
includeTags | string[] | No | — | Tags to include in the output. |
jsonOptions | object | No | — | JSON options object |
location | object | No | — | Location settings for the request. When specified, this will use an appropriate proxy if available and emulate the corresponding language and timezone settings. Defaults to ‘US’ if not specified. |
maxAge | integer | No | — | Returns a cached version of the page if it is younger than this age in milliseconds. If a cached version of the page is older than this value, the page will be scraped. If you do not need extremely fresh data, enabling this can speed up your scrapes by 500%. Defaults to 0, which disables caching. |
mobile | boolean | No | — | Set to true if you want to emulate scraping from a mobile device. Useful for testing responsive pages and taking mobile screenshots. |
onlyMainContent | boolean | No | — | Only return the main content of the page excluding headers, navs, footers, etc. |
parsePDF | boolean | No | — | Controls how PDF files are processed during scraping. When true, the PDF content is extracted and converted to markdown format, with billing based on the number of pages (1 credit per page). When false, the PDF file is returned in base64 encoding with a flat rate of 1 credit total. |
proxy | string | No | — | Specifies the type of proxy to use. - basic: Proxies for scraping sites with none to basic anti-bot solutions. Fast and usually works. - enhanced: Enhanced proxies for scraping sites with advanced anti-bot solutions. Slower, but more reliable on certain sites. Costs up to 5 credits per request. - auto: Firecrawl will automatically retry scraping with enhanced proxies if the basic proxy fails. If the retry with enhanced is successful, 5 credits will be billed for the scrape. If the first attempt with basic is successful, only the regular cost will be billed. If you do not specify a proxy, Firecrawl will default to basic. |
removeBase64Images | boolean | No | — | Removes all base 64 images from the output, which may be overwhelmingly long. The image’s alt text remains in the output, but the URL is replaced with a placeholder. |
skipTlsVerification | boolean | No | — | Skip TLS certificate verification when making requests |
storeInCache | boolean | No | — | If true, the page will be stored in the Firecrawl index and cache. Setting this to false is useful if your scraping activity may have data protection concerns. Using some parameters associated with sensitive scraping (actions, headers) will force this parameter to be false. |
timeout | integer | No | — | Timeout in milliseconds for the request |
url | string | Yes | — | The URL to scrape |
waitFor | integer | No | — | Specify a delay in milliseconds before fetching the content, allowing the page sufficient time to load. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"actions": {
"type": "array",
"description": "Actions to perform on the page before grabbing the content"
},
"blockAds": {
"type": "boolean",
"description": "Enables ad-blocking and cookie popup blocking."
},
"changeTrackingOptions": {
"type": "object",
"description": "Options for change tracking (Beta). Only applicable when 'changeTracking' is included in formats. The 'markdown' format must also be specified when using change tracking.",
"properties": {
"modes": {
"type": "array",
"items": {
"type": "string",
"enum": [
"git-diff",
"json"
]
},
"description": "The mode to use for change tracking. 'git-diff' provides a detailed diff, and 'json' compares extracted JSON data."
},
"schema": {
"type": "object",
"description": "Schema for JSON extraction when using 'json' mode. Defines the structure of data to extract and compare. Must conform to [JSON Schema](https://json-schema.org/)."
},
"prompt": {
"type": "string",
"description": "Prompt to use for change tracking when using 'json' mode. If not provided, the default prompt will be used."
},
"tag": {
"type": "string",
"description": "Tag to use for change tracking. Tags can separate change tracking history into separate \"branches\", where change tracking with a specific tagwill only compare to scrapes made in the same tag. If not provided, the default tag (null) will be used."
}
}
},
"excludeTags": {
"type": "array",
"items": {
"type": "string"
},
"description": "Tags to exclude from the output."
},
"formats": {
"type": "array",
"items": {
"type": "string",
"enum": [
"markdown",
"html",
"rawHtml",
"links",
"screenshot",
"screenshot@fullPage",
"json",
"changeTracking",
"branding"
]
},
"description": "Formats to include in the output."
},
"headers": {
"type": "object",
"description": "Headers to send with the request. Can be used to send cookies, user-agent, etc."
},
"includeTags": {
"type": "array",
"items": {
"type": "string"
},
"description": "Tags to include in the output."
},
"jsonOptions": {
"type": "object",
"description": "JSON options object",
"properties": {
"schema": {
"type": "object",
"description": "The schema to use for the extraction (Optional). Must conform to [JSON Schema](https://json-schema.org/)."
},
"systemPrompt": {
"type": "string",
"description": "The system prompt to use for the extraction (Optional)"
},
"prompt": {
"type": "string",
"description": "The prompt to use for the extraction without a schema (Optional)"
}
}
},
"location": {
"type": "object",
"description": "Location settings for the request. When specified, this will use an appropriate proxy if available and emulate the corresponding language and timezone settings. Defaults to 'US' if not specified.",
"properties": {
"country": {
"type": "string",
"description": "ISO 3166-1 alpha-2 country code (e.g., 'US', 'AU', 'DE', 'JP')"
},
"languages": {
"type": "array",
"items": {
"type": "string"
},
"description": "Preferred languages and locales for the request in order of priority. Defaults to the language of the specified location. See https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/Accept-Language"
}
}
},
"maxAge": {
"type": "integer",
"description": "Returns a cached version of the page if it is younger than this age in milliseconds. If a cached version of the page is older than this value, the page will be scraped. If you do not need extremely fresh data, enabling this can speed up your scrapes by 500%. Defaults to 0, which disables caching."
},
"mobile": {
"type": "boolean",
"description": "Set to true if you want to emulate scraping from a mobile device. Useful for testing responsive pages and taking mobile screenshots."
},
"onlyMainContent": {
"type": "boolean",
"description": "Only return the main content of the page excluding headers, navs, footers, etc."
},
"parsePDF": {
"type": "boolean",
"description": "Controls how PDF files are processed during scraping. When true, the PDF content is extracted and converted to markdown format, with billing based on the number of pages (1 credit per page). When false, the PDF file is returned in base64 encoding with a flat rate of 1 credit total."
},
"proxy": {
"type": "string",
"description": "Specifies the type of proxy to use. - **basic**: Proxies for scraping sites with none to basic anti-bot solutions. Fast and usually works. - **enhanced**: Enhanced proxies for scraping sites with advanced anti-bot solutions. Slower, but more reliable on certain sites. Costs up to 5 credits per request. - **auto**: Firecrawl will automatically retry scraping with enhanced proxies if the basic proxy fails. If the retry with enhanced is successful, 5 credits will be billed for the scrape. If the first attempt with basic is successful, only the regular cost will be billed. If you do not specify a proxy, Firecrawl will default to basic.",
"enum": [
"basic",
"enhanced",
"auto"
]
},
"removeBase64Images": {
"type": "boolean",
"description": "Removes all base 64 images from the output, which may be overwhelmingly long. The image's alt text remains in the output, but the URL is replaced with a placeholder."
},
"skipTlsVerification": {
"type": "boolean",
"description": "Skip TLS certificate verification when making requests"
},
"storeInCache": {
"type": "boolean",
"description": "If true, the page will be stored in the Firecrawl index and cache. Setting this to false is useful if your scraping activity may have data protection concerns. Using some parameters associated with sensitive scraping (actions, headers) will force this parameter to be false."
},
"timeout": {
"type": "integer",
"description": "Timeout in milliseconds for the request"
},
"url": {
"type": "string",
"description": "The URL to scrape"
},
"waitFor": {
"type": "integer",
"description": "Specify a delay in milliseconds before fetching the content, allowing the page sufficient time to load."
}
},
"required": [
"PCID",
"url"
]
}
firecrawl_scrape_and_extract_from_urls
Scrape multiple URLs and optionally extract information using an LLM Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
actions | any[] | No | — | Actions to perform on the page before grabbing the content |
blockAds | boolean | No | — | Enables ad-blocking and cookie popup blocking. |
changeTrackingOptions | object | No | — | Options for change tracking (Beta). Only applicable when ‘changeTracking’ is included in formats. The ‘markdown’ format must also be specified when using change tracking. |
excludeTags | string[] | No | — | Tags to exclude from the output. |
formats | string[] | No | — | Formats to include in the output. |
headers | object | No | — | Headers to send with the request. Can be used to send cookies, user-agent, etc. |
ignoreInvalidURLs | boolean | No | — | If invalid URLs are specified in the urls array, they will be ignored. Instead of them failing the entire request, a batch scrape using the remaining valid URLs will be created, and the invalid URLs will be returned in the invalidURLs field of the response. |
includeTags | string[] | No | — | Tags to include in the output. |
jsonOptions | object | No | — | JSON options object |
location | object | No | — | Location settings for the request. When specified, this will use an appropriate proxy if available and emulate the corresponding language and timezone settings. Defaults to ‘US’ if not specified. |
maxAge | integer | No | — | Returns a cached version of the page if it is younger than this age in milliseconds. If a cached version of the page is older than this value, the page will be scraped. If you do not need extremely fresh data, enabling this can speed up your scrapes by 500%. Defaults to 0, which disables caching. |
mobile | boolean | No | — | Set to true if you want to emulate scraping from a mobile device. Useful for testing responsive pages and taking mobile screenshots. |
onlyMainContent | boolean | No | — | Only return the main content of the page excluding headers, navs, footers, etc. |
parsePDF | boolean | No | — | Controls how PDF files are processed during scraping. When true, the PDF content is extracted and converted to markdown format, with billing based on the number of pages (1 credit per page). When false, the PDF file is returned in base64 encoding with a flat rate of 1 credit total. |
proxy | string | No | — | Specifies the type of proxy to use. - basic: Proxies for scraping sites with none to basic anti-bot solutions. Fast and usually works. - enhanced: Enhanced proxies for scraping sites with advanced anti-bot solutions. Slower, but more reliable on certain sites. Costs up to 5 credits per request. - auto: Firecrawl will automatically retry scraping with enhanced proxies if the basic proxy fails. If the retry with enhanced is successful, 5 credits will be billed for the scrape. If the first attempt with basic is successful, only the regular cost will be billed. If you do not specify a proxy, Firecrawl will default to basic. |
removeBase64Images | boolean | No | — | Removes all base 64 images from the output, which may be overwhelmingly long. The image’s alt text remains in the output, but the URL is replaced with a placeholder. |
skipTlsVerification | boolean | No | — | Skip TLS certificate verification when making requests |
storeInCache | boolean | No | — | If true, the page will be stored in the Firecrawl index and cache. Setting this to false is useful if your scraping activity may have data protection concerns. Using some parameters associated with sensitive scraping (actions, headers) will force this parameter to be false. |
timeout | integer | No | — | Timeout in milliseconds for the request |
urls | string[] | Yes | — | The urls value |
waitFor | integer | No | — | Specify a delay in milliseconds before fetching the content, allowing the page sufficient time to load. |
webhook | object | No | — | A webhook specification object. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"actions": {
"type": "array",
"description": "Actions to perform on the page before grabbing the content"
},
"blockAds": {
"type": "boolean",
"description": "Enables ad-blocking and cookie popup blocking."
},
"changeTrackingOptions": {
"type": "object",
"description": "Options for change tracking (Beta). Only applicable when 'changeTracking' is included in formats. The 'markdown' format must also be specified when using change tracking.",
"properties": {
"modes": {
"type": "array",
"items": {
"type": "string",
"enum": [
"git-diff",
"json"
]
},
"description": "The mode to use for change tracking. 'git-diff' provides a detailed diff, and 'json' compares extracted JSON data."
},
"schema": {
"type": "object",
"description": "Schema for JSON extraction when using 'json' mode. Defines the structure of data to extract and compare. Must conform to [JSON Schema](https://json-schema.org/)."
},
"prompt": {
"type": "string",
"description": "Prompt to use for change tracking when using 'json' mode. If not provided, the default prompt will be used."
},
"tag": {
"type": "string",
"description": "Tag to use for change tracking. Tags can separate change tracking history into separate \"branches\", where change tracking with a specific tagwill only compare to scrapes made in the same tag. If not provided, the default tag (null) will be used."
}
}
},
"excludeTags": {
"type": "array",
"items": {
"type": "string"
},
"description": "Tags to exclude from the output."
},
"formats": {
"type": "array",
"items": {
"type": "string",
"enum": [
"markdown",
"html",
"rawHtml",
"links",
"screenshot",
"screenshot@fullPage",
"json",
"changeTracking",
"branding"
]
},
"description": "Formats to include in the output."
},
"headers": {
"type": "object",
"description": "Headers to send with the request. Can be used to send cookies, user-agent, etc."
},
"ignoreInvalidURLs": {
"type": "boolean",
"description": "If invalid URLs are specified in the urls array, they will be ignored. Instead of them failing the entire request, a batch scrape using the remaining valid URLs will be created, and the invalid URLs will be returned in the invalidURLs field of the response."
},
"includeTags": {
"type": "array",
"items": {
"type": "string"
},
"description": "Tags to include in the output."
},
"jsonOptions": {
"type": "object",
"description": "JSON options object",
"properties": {
"schema": {
"type": "object",
"description": "The schema to use for the extraction (Optional). Must conform to [JSON Schema](https://json-schema.org/)."
},
"systemPrompt": {
"type": "string",
"description": "The system prompt to use for the extraction (Optional)"
},
"prompt": {
"type": "string",
"description": "The prompt to use for the extraction without a schema (Optional)"
}
}
},
"location": {
"type": "object",
"description": "Location settings for the request. When specified, this will use an appropriate proxy if available and emulate the corresponding language and timezone settings. Defaults to 'US' if not specified.",
"properties": {
"country": {
"type": "string",
"description": "ISO 3166-1 alpha-2 country code (e.g., 'US', 'AU', 'DE', 'JP')"
},
"languages": {
"type": "array",
"items": {
"type": "string"
},
"description": "Preferred languages and locales for the request in order of priority. Defaults to the language of the specified location. See https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/Accept-Language"
}
}
},
"maxAge": {
"type": "integer",
"description": "Returns a cached version of the page if it is younger than this age in milliseconds. If a cached version of the page is older than this value, the page will be scraped. If you do not need extremely fresh data, enabling this can speed up your scrapes by 500%. Defaults to 0, which disables caching."
},
"mobile": {
"type": "boolean",
"description": "Set to true if you want to emulate scraping from a mobile device. Useful for testing responsive pages and taking mobile screenshots."
},
"onlyMainContent": {
"type": "boolean",
"description": "Only return the main content of the page excluding headers, navs, footers, etc."
},
"parsePDF": {
"type": "boolean",
"description": "Controls how PDF files are processed during scraping. When true, the PDF content is extracted and converted to markdown format, with billing based on the number of pages (1 credit per page). When false, the PDF file is returned in base64 encoding with a flat rate of 1 credit total."
},
"proxy": {
"type": "string",
"description": "Specifies the type of proxy to use. - **basic**: Proxies for scraping sites with none to basic anti-bot solutions. Fast and usually works. - **enhanced**: Enhanced proxies for scraping sites with advanced anti-bot solutions. Slower, but more reliable on certain sites. Costs up to 5 credits per request. - **auto**: Firecrawl will automatically retry scraping with enhanced proxies if the basic proxy fails. If the retry with enhanced is successful, 5 credits will be billed for the scrape. If the first attempt with basic is successful, only the regular cost will be billed. If you do not specify a proxy, Firecrawl will default to basic.",
"enum": [
"basic",
"enhanced",
"auto"
]
},
"removeBase64Images": {
"type": "boolean",
"description": "Removes all base 64 images from the output, which may be overwhelmingly long. The image's alt text remains in the output, but the URL is replaced with a placeholder."
},
"skipTlsVerification": {
"type": "boolean",
"description": "Skip TLS certificate verification when making requests"
},
"storeInCache": {
"type": "boolean",
"description": "If true, the page will be stored in the Firecrawl index and cache. Setting this to false is useful if your scraping activity may have data protection concerns. Using some parameters associated with sensitive scraping (actions, headers) will force this parameter to be false."
},
"timeout": {
"type": "integer",
"description": "Timeout in milliseconds for the request"
},
"urls": {
"type": "array",
"items": {
"type": "string",
"format": "uri"
},
"description": "The urls value"
},
"waitFor": {
"type": "integer",
"description": "Specify a delay in milliseconds before fetching the content, allowing the page sufficient time to load."
},
"webhook": {
"type": "object",
"description": "A webhook specification object.",
"properties": {
"url": {
"type": "string",
"description": "The URL to send the webhook to. This will trigger for batch scrape started (batch_scrape.started), every page scraped (batch_scrape.page) and when the batch scrape is completed (batch_scrape.completed or batch_scrape.failed). The response will be the same as the `/scrape` endpoint."
},
"headers": {
"type": "object",
"description": "Headers to send to the webhook URL."
},
"metadata": {
"type": "object",
"description": "Custom metadata that will be included in all webhook payloads for this crawl"
},
"events": {
"type": "array",
"items": {
"type": "string",
"enum": [
"completed",
"page",
"failed",
"started"
]
},
"description": "Type of events that should be sent to the webhook URL. (default: all)"
}
},
"required": [
"url"
]
}
},
"required": [
"PCID",
"urls"
]
}
firecrawl_search_and_scrape
Search and optionally scrape search results Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
ignoreInvalidURLs | boolean | No | — | Excludes URLs from the search results that are invalid for other Firecrawl endpoints. This helps reduce errors if you are piping data from search into other Firecrawl API endpoints. |
limit | integer | No | — | Maximum number of results to return |
location | string | No | — | Location parameter for search results |
query | string | Yes | — | The search query |
scrapeOptions | object | No | — | Options for scraping search results |
tbs | string | No | — | Time-based search parameter |
timeout | integer | No | — | Timeout in milliseconds |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"ignoreInvalidURLs": {
"type": "boolean",
"description": "Excludes URLs from the search results that are invalid for other Firecrawl endpoints. This helps reduce errors if you are piping data from search into other Firecrawl API endpoints."
},
"limit": {
"type": "integer",
"description": "Maximum number of results to return"
},
"location": {
"type": "string",
"description": "Location parameter for search results"
},
"query": {
"type": "string",
"description": "The search query"
},
"scrapeOptions": {
"type": "object",
"description": "Options for scraping search results",
"properties": {
"formats": {
"type": "array",
"items": {
"type": "string",
"enum": [
"markdown",
"html",
"rawHtml",
"links",
"screenshot",
"screenshot@fullPage",
"json",
"branding"
]
},
"description": "Formats to include in the output"
}
}
},
"tbs": {
"type": "string",
"description": "Time-based search parameter"
},
"timeout": {
"type": "integer",
"description": "Timeout in milliseconds"
}
},
"required": [
"PCID",
"query"
]
}
firecrawl_start_deep_research
Start a deep research operation on a query Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
analysisPrompt | string | No | — | The prompt to use for the final analysis. Useful to format the final analysis markdown in a specific way. |
formats | string[] | No | — | The formats value |
jsonOptions | object | No | — | Options for JSON output |
maxDepth | integer | No | — | Maximum depth of research iterations |
maxUrls | integer | No | — | Maximum number of URLs to analyze |
query | string | Yes | — | The query to research |
systemPrompt | string | No | — | The system prompt to use for the research agent. Useful to steer the research agent to a specific direction. |
timeLimit | integer | No | — | Time limit in seconds |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"analysisPrompt": {
"type": "string",
"description": "The prompt to use for the final analysis. Useful to format the final analysis markdown in a specific way."
},
"formats": {
"type": "array",
"items": {
"type": "string",
"enum": [
"markdown",
"json",
"branding"
]
},
"description": "The formats value"
},
"jsonOptions": {
"type": "object",
"description": "Options for JSON output",
"properties": {
"schema": {
"type": "object",
"description": "The schema to use for the JSON output. Must conform to [JSON Schema](https://json-schema.org/)."
},
"systemPrompt": {
"type": "string",
"description": "The system prompt to use for the JSON output"
},
"prompt": {
"type": "string",
"description": "The prompt to use for the JSON output"
}
}
},
"maxDepth": {
"type": "integer",
"description": "Maximum depth of research iterations"
},
"maxUrls": {
"type": "integer",
"description": "Maximum number of URLs to analyze"
},
"query": {
"type": "string",
"description": "The query to research"
},
"systemPrompt": {
"type": "string",
"description": "The system prompt to use for the research agent. Useful to steer the research agent to a specific direction."
},
"timeLimit": {
"type": "integer",
"description": "Time limit in seconds"
}
},
"required": [
"PCID",
"query"
]
}
firecrawl_submit_endpoint_feedback
Submit feedback for a v2 job Parameters:| Parameter | Type | Required | Default | Description | |
|---|---|---|---|---|---|
endpoint | string | Yes | — | The endpoint value | |
integration | string | null | No | — | The integration value |
issues | string[] | No | — | The issues value | |
jobId | string | Yes | — | Job Id | |
metadata | object | No | — | Small endpoint-specific metadata object. Must be 8KB or smaller; do not include full endpoint results. | |
missingContent | object[] | No | — | Missing Content | |
note | string | No | — | The note value | |
origin | string | No | — | The origin value | |
pageNumbers | integer[] | No | — | Page Numbers | |
querySuggestions | string | No | — | Query Suggestions | |
rating | string | Yes | — | The rating value | |
tags | string[] | No | — | The tags value | |
url | string | No | — | The url value | |
valuableSources | object[] | No | — | Valuable Sources |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"endpoint": {
"type": "string",
"description": "The endpoint value",
"enum": [
"search",
"scrape",
"parse",
"map"
]
},
"integration": {
"type": [
"string",
"null"
],
"description": "The integration value"
},
"issues": {
"type": "array",
"items": {
"type": "string"
},
"description": "The issues value"
},
"jobId": {
"type": "string",
"description": "Job Id"
},
"metadata": {
"type": "object",
"description": "Small endpoint-specific metadata object. Must be 8KB or smaller; do not include full endpoint results."
},
"missingContent": {
"type": "array",
"items": {
"type": "object",
"properties": {
"topic": {
"type": "string",
"description": "The topic value"
},
"description": {
"type": "string",
"description": "The description value"
}
},
"required": [
"topic"
]
},
"description": "Missing Content"
},
"note": {
"type": "string",
"description": "The note value"
},
"origin": {
"type": "string",
"description": "The origin value"
},
"pageNumbers": {
"type": "array",
"items": {
"type": "integer"
},
"description": "Page Numbers"
},
"querySuggestions": {
"type": "string",
"description": "Query Suggestions"
},
"rating": {
"type": "string",
"description": "The rating value",
"enum": [
"good",
"partial",
"bad"
]
},
"tags": {
"type": "array",
"items": {
"type": "string"
},
"description": "The tags value"
},
"url": {
"type": "string",
"description": "The url value"
},
"valuableSources": {
"type": "array",
"items": {
"type": "object",
"properties": {
"url": {
"type": "string",
"format": "uri",
"description": "The url value"
},
"reason": {
"type": "string",
"description": "The reason value"
}
},
"required": [
"url"
]
},
"description": "Valuable Sources"
}
},
"required": [
"PCID",
"endpoint",
"jobId",
"rating"
]
}
firecrawl_submit_search_feedback
Submit feedback for a search job Parameters:| Parameter | Type | Required | Default | Description | |
|---|---|---|---|---|---|
jobId | string | Yes | — | Search job id returned by /search. | |
integration | string | null | No | — | The integration value |
missingContent | object[] | No | — | Missing Content | |
origin | string | No | — | The origin value | |
querySuggestions | string | No | — | Query Suggestions | |
rating | string | Yes | — | The rating value | |
valuableSources | object[] | No | — | Valuable Sources |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"jobId": {
"type": "string",
"description": "Search job id returned by /search."
},
"integration": {
"type": [
"string",
"null"
],
"description": "The integration value"
},
"missingContent": {
"type": "array",
"items": {
"type": "object",
"properties": {
"topic": {
"type": "string",
"description": "The topic value"
},
"description": {
"type": "string",
"description": "The description value"
}
},
"required": [
"topic"
]
},
"description": "Missing Content"
},
"origin": {
"type": "string",
"description": "The origin value"
},
"querySuggestions": {
"type": "string",
"description": "Query Suggestions"
},
"rating": {
"type": "string",
"description": "The rating value",
"enum": [
"good",
"partial",
"bad"
]
},
"valuableSources": {
"type": "array",
"items": {
"type": "object",
"properties": {
"url": {
"type": "string",
"format": "uri",
"description": "The url value"
},
"reason": {
"type": "string",
"description": "The reason value"
}
},
"required": [
"url"
]
},
"description": "Valuable Sources"
}
},
"required": [
"PCID",
"jobId",
"rating"
]
}

